# Class LibGuestFSOutOfMemory

java.lang.Object
java.lang.Throwable
java.lang.Error
com.redhat.et.libguestfs.LibGuestFSOutOfMemory

All Implemented Interfaces:
  `Serializable`

public class LibGuestFSOutOfMemory extends Error
Libguestfs out of memory class.

This exception is thrown when malloc or a similar call fails in the bindings.

See Also:
  - `Error`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LibGuestFSOutOfMemory(String msg)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LibGuestFSOutOfMemory

public LibGuestFSOutOfMemory(String msg)